/* Servos Neutrale Positie
 *  
 * Deze sketch zit standaard op de Simple Walker II.
 * 1: Zet de servo's vast op een positie van 90 graden 
 *    (voor montage van de poten van de Simple Walker).
 * 2: Knipper de LED (0.5 sec aan, 1 sec uit).
 * 
 * Gemaakt: November 2016
 * Door Simon Pauw, ZB45
 * www.SimpleWalker.com
 */ 

/* Link de Servo library.*/
#include <Servo.h> 

/* Definieer 4 servo's voor de 4 servopinnen. */
Servo mijnServo1;
Servo mijnServo2;
Servo mijnServo3;
Servo mijnServo4;

 
/* Setup: wordt uitgevoerd bij het opstarten van de Simple Walker. */
void setup() { 
  // Definieer LED-pin (pin 13) als output.
  pinMode(13, OUTPUT);

  // Initialiseer servo's
  mijnServo1.attach(6);  
  mijnServo2.attach(7);  
  mijnServo3.attach(8);  
  mijnServo4.attach(9);

  // Wacht 100 ms.
  delay(100);

  // Zet de servo's op 90 graden.
  mijnServo1.write(90);
  mijnServo2.write(90);
  mijnServo3.write(90);
  mijnServo4.write(90);
} 

/* Loop: wordt herhaald tot de Simple Walker uit wordt gezet. */
void loop() {
  // Zet LED aan.
  digitalWrite(13, HIGH);

  // Wacht 500ms.
  delay(500);

  // Zet LED uit.
  digitalWrite(13, LOW);

  // Wacht 1000ms.
  delay(1000);
}
